One Star

[resolved] Couldn not run TOS V3.2.2 in a RHEL4 using jdk 1.5.0_19

I downloaded the latest TOS and it looks that I cannot run it anymore.
jdk:
$ java -version
java version "1.5.0_19"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_19-b02)
Java HotSpot(TM) Client VM (build 1.5.0_19-b02, mixed mode, sharing)
running the app:::::
$ ./TalendOpenStudio-linux-gtk-x86 -consoleLog
Warning: -Xms40m not understood. Ignoring.
Warning: -Xmx500m not understood. Ignoring.
Warning: -XX:MaxPermSize=128m not understood. Ignoring.
Warning: -jar not understood. Ignoring.
Exception in thread "main" java.lang.NoClassDefFoundError: .home.gustavof.tmp.TOS-All-r33000-V3.2.2.plugins.org.eclipse.equinox.launcher_1.0.100.v20080509-1800.jar
at gnu.gcj.runtime.FirstThread.run() (/usr/lib/libgcj.so.5.0.0)
at _Jv_ThreadRun(java.lang.Thread) (/usr/lib/libgcj.so.5.0.0)
at _Jv_RunMain(java.lang.Class, byte const, int, byte const, boolean) (/usr/lib/libgcj.so.5.0.0)
at __gcj_personality_v0 (/home/gustavof/tmp/TOS-All-r33000-V3.2.2/java.version=1.4.2)
at __libc_start_main (/lib/tls/libc-2.3.4.so)
at _Jv_RegisterClasses (/home/gustavof/tmp/TOS-All-r33000-V3.2.2/java.version=1.4.2)

The workspace dir only has the following:::::::
$ ls -al
total 24
drwxr-xr-x 3 gustavof user 4096 Nov 20 12:50 .
drwxr-xr-x 8 gustavof user 4096 Dec 16 11:23 ..
drwxr-xr-x 4 gustavof user 4096 Dec 16 12:02 .JETEmitters

no loging in there....

I don't know why the TOS is trying to use the java.version=1.4.2. What env variable is it trying to use?

Any help will be appreciated.
1 ACCEPTED SOLUTION

Accepted Solutions
Community Manager

Re: [resolved] Couldn not run TOS V3.2.2 in a RHEL4 using jdk 1.5.0_19

Hello
$ ./TalendOpenStudio-linux-gtk-x86 -vm /opt/jdk/default1.5/jre

Try
$ ./TalendOpenStudio-linux-gtk-x86 -vm /opt/jdk/default1.5/jre/bin

You can start up TOS now, enjoy it.Smiley Wink
Best regards
shong
----------------------------------------------------------
Talend | Data Agility for Modern Business
6 REPLIES
Community Manager

Re: [resolved] Couldn not run TOS V3.2.2 in a RHEL4 using jdk 1.5.0_19

Hello
I don't know why the TOS is trying to use the java.version=1.4.2.

I think you have oracle installation on your machine.
try to specify another jvm to start up TOS, for example:
$ ./TalendOpenStudio-linux-gtk-x86 -vm /jre path
Best regards
shong
----------------------------------------------------------
Talend | Data Agility for Modern Business
One Star

Re: [resolved] Couldn not run TOS V3.2.2 in a RHEL4 using jdk 1.5.0_19

I don't have an oracle installation.
I tried your suggestion but it didn't work.
$ ./TalendOpenStudio-linux-gtk-x86 -vm /opt/jdk/default1.5/jre

I get a window error message:::
A Java Runtime Environment (JRE) or Java Development Kit (JDK)
must be available in order to run TalendOpenStudio-linux-gtk-x86. No Java virtual machine
was found after searching the following locations:
/opt/jdk/default1.5/jre/default.ee
/opt/jdk/default1.5/jre/java
/opt/jdk/default1.5/jre/libjvm.so

what I have in the jre directory
$ ls -l /opt/jdk/default1.5/jre
total 172
-r--r--r-- 1 gustavof user 969 May 4 2009 CHANGES
-r--r--r-- 1 gustavof user 2487 May 4 2009 COPYRIGHT
-r--r--r-- 1 gustavof user 13264 May 4 2009 LICENSE
-r--r--r-- 1 gustavof user 13936 May 4 2009 README
-r--r--r-- 1 gustavof user 67235 May 4 2009 THIRDPARTYLICENSEREADME.txt
-r--r--r-- 1 gustavof user 969 May 4 2009 Welcome.html
drwxr-xr-x 2 gustavof user 4096 Jun 25 10:14 bin
drwxr-xr-x 2 gustavof user 4096 Jun 25 10:14 javaws
drwxr-xr-x 18 gustavof user 4096 Jun 25 10:14 lib
drwxr-xr-x 4 gustavof user 4096 Jun 25 10:14 plugin

Let me know if you there is something else that I can try.
thanks.
Community Manager

Re: [resolved] Couldn not run TOS V3.2.2 in a RHEL4 using jdk 1.5.0_19

Hello
$ ./TalendOpenStudio-linux-gtk-x86 -vm /opt/jdk/default1.5/jre

Try
$ ./TalendOpenStudio-linux-gtk-x86 -vm /opt/jdk/default1.5/jre/bin

You can start up TOS now, enjoy it.Smiley Wink
Best regards
shong
----------------------------------------------------------
Talend | Data Agility for Modern Business
One Star

Re: [resolved] Couldn not run TOS V3.2.2 in a RHEL4 using jdk 1.5.0_19

It worked. Thanks shong for all the help.
One Star

Re: [resolved] Couldn not run TOS V3.2.2 in a RHEL4 using jdk 1.5.0_19

I am having the same problem with Windows, any known way to solve this?
Edit: I am using jdk 6, 16 recently downgraded from 19.
Employee

Re: [resolved] Couldn not run TOS V3.2.2 in a RHEL4 using jdk 1.5.0_19

what is the result of the "java -version" command in a cmd windows ?